Can't install deb package from "Frensh" named folder

Bug #822623 reported by Hatem MASMOUDI on 2011-08-08
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
qapt (Ubuntu)
High
Unassigned

Bug Description

1- download deb package ex: skype-ubuntu_2.2.0.35-1_i386.deb
2- the download is located in $HOME/Téléchargement : frensh naming
3- double click on deb package
4- Qapt shows the following error : "Could not open ‘/home/hatem/Téléchargements/skype-ubuntu_2.2.0.35-1_i386.deb’. It does not appear to be a valid Debian package file."

Info: Moving the deb package to $HOME folder i can install correctly the package.

Thanks.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: qapt-deb-installer 1.1.90-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-7.9-generic 3.0.0
Uname: Linux 3.0.0-7-generic i686
Architecture: i386
Date: Mon Aug 8 12:27:21 2011
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110803.1)
SourcePackage: qapt
UpgradeStatus: No upgrade log present (probably fresh install)

Hatem MASMOUDI (hatem-masmoudi) wrote :
Changed in qapt (Ubuntu):
status: New → Confirmed
importance: Undecided → High

Git commit dbab3c83a54aa627f66983312eac594da586c17e by Jonathan Thomas.
Committed on 08/08/2011 at 23:40.
Pushed by jmthomas into branch 'master'.

Fix a bug that didn't allow files in paths with non-ascii characters to be loaded.

CCMAIL: <email address hidden>

M +1 -1 src/debfile.cpp

http://commits.kde.org/libqapt/dbab3c83a54aa627f66983312eac594da586c17e

diff --git a/src/debfile.cpp b/src/debfile.cpp
index b892630..c315f53 100644
--- a/src/debfile.cpp
+++ b/src/debfile.cpp
@@ -59,7 +59,7 @@ class DebFilePrivate

 void DebFilePrivate::init()
 {
- FileFd in(filePath.toStdString(), FileFd::ReadOnly);
+ FileFd in(filePath.toUtf8().data(), FileFd::ReadOnly);
     debDebFile deb(in);

     // Extract control data

Changed in qapt (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qapt - 1.2.0-0ubuntu1

---------------
qapt (1.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #822623, #823087)
 -- Jonathan Thomas <email address hidden> Thu, 11 Aug 2011 19:08:39 -0400

Changed in qapt (Ubuntu):
status: Fix Committed → Fix Released
Borsik István (borsik-istvan) wrote :

This problem occurs in Muon Suite 1.3.0. When i try to install any deb package (opera_11.61.1250_amd64.deb ; kcm-grub2_0.5.5-1_amd64.deb); typing my password, 1 second later QApt says: Done, but the package is not installed. Localized hungarian folder: Downloads / Letöltések

Kubuntu 11.10
KDE 4.8.1
qapt-deb-installer 1.3.0-0ubuntu1~oneiric1~ppa1
Origin: QApt PPA
Kernel: 3.0.0-16-generic

Moving the deb package to $HOME installs it correctly.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers